org.apache.solr.analytics.util.valuesource

## Class DateFieldSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.FieldCacheSource
    - - org.apache.lucene.queries.function.valuesource.LongFieldSource
      - - org.apache.solr.analytics.util.valuesource.DateFieldSource

-     public class DateFieldSource
      extends LongFieldSource

  Extends `LongFieldSource` to have a field source that takes in and returns `Date` values while working with long values internally.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

      `field`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateFieldSource(String field)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `long` | `externalToLong(String extVal)`
    `FunctionValues` | `getValues(Map context, LeafReaderContext readerContext)`
    `int` | `hashCode()`
    `Object` | `longToObject(long val)`
    `String` | `longToString(long val)`

    - ### Methods inherited from class org.apache.lucene.queries.function.valuesource.LongFieldSource

      `description, getSortField, newMutableValueLong`

    - ### Methods inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

      `getField`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `createWeight, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DateFieldSource

          public DateFieldSource(String field)

  - ### Method Detail

    - #### externalToLong

          public long externalToLong(String extVal)

      Overrides:
        `externalToLong` in class `LongFieldSource`

    - #### longToObject

          public Object longToObject(long val)

      Overrides:
        `longToObject` in class `LongFieldSource`

    - #### longToString

          public String longToString(long val)

      Overrides:
        `longToString` in class `LongFieldSource`

    - #### getValues

          public FunctionValues getValues(Map context,
                                          LeafReaderContext readerContext)
                                   throws IOException

      Overrides:
        `getValues` in class `LongFieldSource`
      Throws:
        `IOException`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `LongFieldSource`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `LongFieldSource`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.